package cn.teammodel.model.dto.ai.deepseek;

import lombok.Data;

import java.util.List;

/***
 * 请求体的数据内部结构，用于构建请求 json
 * {
 *   "messages": [
 *     {
 *       "content": "You are a helpful assistant",
 *       "role": "system"
 *     },
 *     {
 *       "content": "Hi",
 *       "role": "user"
 *     }
 *   ],
 *   "model": "deepseek-chat",
 *   "frequency_penalty": 0,
 *   "max_tokens": 2048,
 *   "presence_penalty": 0,
 *   "response_format": {
 *     "type": "text"
 *   },
 *   "stop": null,
 *   "stream": false,
 *   "stream_options": null,
 *   "temperature": 1,
 *   "top_p": 1,
 *   "tools": null,
 *   "tool_choice": "none",
 *   "logprobs": false,
 *   "top_logprobs": null
 * }
 */
@Data
public class ChatRequestDto {
    private String model;
    private List<MessageDto> messages;
    private int temperature;
    private int max_tokens;
}
